html
{
    font-family: "Cabin";
    background-color: #fdb705;
}

body
{
    background-color: #fdb705;
}

.top-bar
{
    background-color: white;
}

.top-bar-left
{
    margin-left: 3%;
}

.top-bar-right
{
    margin-right: 3%;
    padding-left: 2%;
}

ul.menu.horizontal.nav
{
    background-color: white;
    flex-wrap: nowrap;
}

.nav li
{
    font-family: "Cabin", sans-serif;
    flex-wrap: nowrap;
    white-space: nowrap;
    border: 1px solid rgba(0, 0, 0, 0.0);
}

.nav li a
{
    color: #606060;
    transition: color, 0.5s;
}

.nav li:hover a, .nav li:active a
{
    color: white;
    transition: color, 0.5s;
    background-color: #009787;
    transition: background-color, 0.5s;
    text-decoration: underline;
    transition: text-decoration, 0.5s;
}

#home
{
    color: white;
    background-color: #009787;
}

#cover-section
{
    justify-content: center;
}

#cover-section img
{
    width: 100% !important;
}

div.main-section
{
    background-color: #fdb705;
    justify-content: center;
}

.main-section
{
    font-family: "Cabin", sans-serif;
    font-weight: 700;
    font-size: 40px;
    color: white;
    text-align: center;
    margin-top: 50px;
}

div.main-section h2
{
    margin-top: 55px;
    font-family: "Cabin", sans-serif;
    font-weight: 100;
    font-size: 40px;
    padding-left: 25px;
    padding-right: 25px;
    text-shadow: 2.5px 2.5px #009787;
}

#button-section
{
    padding-left: 25px;
    padding-right: 25px;
}

#button-section button
{
    margin-top: 30px;
    font-family: "Cabin", sans-serif;
    font-weight: 800;
    font-size: 35px;
    color: white;
    border: 5px solid #fdb705;
    border-radius: 0px;
    transition: border-radius, 1s;
    background-color: #009787;
    text-decoration: underline;
}

#button-section button:hover, #button-section button:active
{
    background-color: #ffffff;
    color: #009787;
    border: 5px solid #009787;
    border-radius: 25px;
    transition: border-radius, 1s;
}

div#card-section.grid-container
{
    margin-top: 35px;
    display: flex;
    padding: 15px;
}

.card
{
    font-family: "Cabin", sans-serif;
    font-weight: 100;
    color: white;
    background-color: #fdb705;
    border: none;
    border-top: 3px solid white;
    border-bottom: 3px solid white;
    text-align: left;
}

.card h4
{
    font-family: "Cabin", sans-serif;
    font-weight: 700;
    font-size: 30px;
    text-align: left;
}

.card p
{
    margin-top: 15px;
    font-size: 18px;
    font-weight: 1;
    text-align: left;
}

@media only screen and (max-width: 639px)
{
    .card
    {
        max-height: 600px;
    }

    .card img
    {
        width: 100px;
    }

    .card1, .card2
    {
        border-bottom: none;
    }
}

#agent, #agent p
{
    margin: 0 10%;
}

#agent p
{
    color: white;
    margin-top: 7px;
    font-size: 12px;
    font-weight: 700;
}

p, a
{
    font-size: 16px;
    text-align: center;
    text-justify: center;
}

footer
{
    background-color: #fdb705;
    border-top: 3px dotted white;
    min-height: 150px;
    max-height: 250px;
}

footer p
{
    font-family: "Cabin", sans-serif;
    background-color: #fdb705;
    color: #606060;
    text-align: center;
    text-justify: center;
}

footer a, footer a:visited
{
    font-family: "Cabin", sans-serif;
    color: #606060;
}

footer a:hover, footer a:active
{
    color: white;
}

#footer-container {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    height: auto;
}

.box {
    width: 40%;
    height: 100px;
    text-align: center;
}

#footer-box1
{
    display: flex;
    float: left;
    align-items: center;
    margin-left: 75px;
}

#footer-box1 p
{
    font-family: "Cabin", sans-serif;
    color: #606060;
    display: flex;
    text-justify: center;
    margin: 0 12px;
}

#footer-box2
{
    flex: 1;
    padding: 10px;
    align-items: center;
    max-width: 20%;
    min-width: 220px;
    display: flex;
}

#footer-box2 ul
{
    flex: 1;
    flex-direction: row;
    margin: 0 15%;
    flex-wrap: nowrap;
    display: flex;
    list-style: none;
    justify-content: center;
}

#footer-box2 ul li
{
    flex-direction: row;
    filter: brightness(100%);
    transition: filter 0.5s;
}

#footer-box3
{
    display: flex;
    align-items: center;
    margin-right: 75px;
}

#footer-box3 ul
{
    display: flex;
    flex: 1;
    flex-direction: row-reverse;
    flex-wrap: nowrap;
    display: flex;
    list-style: none;
    margin: 0 0;
}

#footer-box3 ul li
{
    margin: 0 12px;
    color: #606060;
}

#footer-box3 ul li p
{
    font-family: "Cabin", sans-serif;
    margin: 0 0;
    color: #606060;
    transition: color 0.3s;
    text-decoration-line: underline;
}

#wknight0 p
{
    font-size: 12px;
    margin: 0 10%;
    margin-top: 10px;
    text-align: center;
    text-decoration-line: underline;
    color: #606060;
    transition: color 0.3s;
}

#footer-box2 ul li:hover, #footer-box2 ul li:active
{
    filter: brightness(400%);
    transition: filter 0.5s;
}

#footer-box3 ul li p:hover, #footer-box3 ul li p:active, #wknight0 p:hover, #wknight0 p:active
{
    color: white;
    transition: color 0.3s;
}

@media only screen and (max-width: 1100px)
{
    ul.menu.horizontal.nav
    {
        padding-top: 10px;
        justify-content: center;
        scale: 90%;
    }

    .card h4
    {
        font-size: 25px;
    }

    .card p
    {
        font-size: 15px;
    }
}

@media only screen and (max-width: 900px)
{
    div.top-bar-left
    {
        width: 60%;
    }

    ul.menu.horizontal.nav
    {
        scale: 75%;
    }

    #footer-box1 p, #footer-box3 ul li a p
    {
        font-size: 12px;
    }

    .box
    {
        height: 100em;
    }

    div.main-section h2
    {
        font-size: 35px;
    }

    #button-section button
    {
        font-size: 25px;
        margin: 0 0;
    }

    .card h4
    {
        font-size: 20px;
    }

    .card p
    {
        font-size: 13px;
    }

    #footer-container, div#footer-box3.box, div#footer-box1.box, div#footer-box2.box 
    {
        height: 110px !important;
    }
}

@media only screen and (max-width: 750px)
{
    div.main-section h2
    {
        font-size: 30px;
    }

    #button-section button
    {
        font-size: 20px;
    }

    .card p
    {
        font-size: 12.5px;
    }

    #agent p
    {
        font-size: 10px;
    }
}

@media only screen and (max-width: 639px)
{
    ul.menu.horizontal.nav
    {
        padding-top: 10px;
        justify-content: center;
        scale: 65%;
    }
    
    div.main-section h2
    {
        font-size: 25px;
    }

    div.top-bar-left
    {
        padding: 0 0;
        text-align: center;
    }

    div.top-bar-left img#logo
    {
        width: 85%;
    }

    .top-bar-left
    {
        margin: 0 0;
        padding: 0 0;
    }

    .top-bar-right
    {
        margin: 0 0;
        padding: 0 0;
    }
}

@media only screen and (max-width: 638px)
{
    div.main-section, h2, div#card-section.grid-container
    {
        margin: 20px 0px !important;
    }

    #footer-container {
        margin-top: 10px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        height: auto;
    }

    .box {
        width: 300px;
        height: 50px;
        margin: 0px;
        text-align: center;
    }
    
    div#footer-box1.box
    {
        height: 100%;
        width: auto;
        float: none;
        padding: 5px;
        margin: 0 0;
    }

    div#footer-box2.box
    {
        padding: 2px;
    }

    #footer-box1 p, #footer-box3 ul li a p
    {
        font-size: 18px;
    }

    div#footer-box3.box
    {
        height: 100%;
        width: auto;
        float: none;
        padding: 5px;
        margin: 0 0;
    }
}

@media only screen and (max-width: 325px)
{
    div.top-bar-right a
    {
        font-size: 10px;
    }
}